Arch: Space/Spațiu

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Roof.svg Roof/ro Anteriorul:
Urmeaza: Stairs/ro Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Space

Menu location
Arch → Space
Workbenches
Arch
Default shortcut
S P
Introduced in version
0.14
See also
Arch Wall, Arch Structure


Descriere

Instrumentul Spațiu vă permite să definiți un volum gol, fie bazându-l pe o formă solidă, fie prin definirea limitelor sale sau printr-un amestec de ambele. Dacă se bazează numai pe limite, volumul se calculează pornind de la caseta delimitată a tuturor limitelor date și scăzând spațiile din spatele fiecărei limite. Obiectul spațial definește întotdeauna un volum solid. Suprafața podelei unui obiect spațial, calculată prin intersecția unui plan orizontal cu centrul de masă al volumului spațiului, poate fi de asemenea afișată, prin setarea modului de afișare a obiectului spațial la "detaliat".

Arch Space example.jpg

În imaginea de mai sus, un obiect spațial este creat dintr-un obiect solid existent, apoi două fețe de perete sunt adăugate ca granițe, iar modul de afișare este setat la "detaliat" pentru a afișa suprafața podelei.

Cum se folosește

  1. Selectați un obiect solid existent sau se confruntă cu obiecte de frontieră
  2. Apăsați butonul Arch Space.png Arch Space, sau apăsați tastele S, P

Limite

  • Este disponibil doar pentru versiunile mai recente decât FreeCAD version 0.14
  • Proprietățile Limitelor sunt ne-editabile via Gui, deocamdată
  • A se vedea forum announcement

Proprietăți

  • DataBase: Baza obiectului, dacă există una(Trebuie să fie un solid)
  • DataBoundaries: O listă a elementelor opționale de limită
  • ViewText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • ViewFontName: The name of the font
  • ViewTextColor: The color of the text
  • ViewFontSize: The size of the text
  • ViewFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • ViewLineSpacing: The space between the lines of text
  • ViewTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • ViewTextAlign: The justification of the text
  • ViewDecimals: The number of decimals to use for calculated texts
  • ViewShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use a Arch BuildingPart and set its IFC type to "Spatial Zone"
  • The space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space. introduced in version 0.19

Scrip-Programare

Instrumentul Space poate fi folosit în scripturile python și macros utilizând următoarea funcție:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Creează un obiect Spațiu din obiectele date.
  • Obiectele pot fi un obiect tip document, caz în care devine forma de bază a obiectului Spațiu sau o listă de obiecte selecate și returnate de comanda FreeCADGui.Selection.getSelectionEx () sau o listă de tuple (obiect, subobiectnume).
  • Returnează un obiect Sapțiu nou creat.

Exempluː

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

După crearea unui obiect spațial, fațetele selectate pot fi adăugate la acesta cu următoarea funcție:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

De asemenea, limitele pot fi eliminate cu:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Arch Roof.svg Roof/ro Anteriorul:
Urmeaza: Stairs/ro Arch Stairs.svg Arrow-right.svg